slasq5.f(3)

NAME
slasq5.f -

SYNOPSIS

  Functions/Subroutines
subroutine slasq5 (I0, N0, Z, PP, TAU, SIGMA, DMIN, DMIN1, DMIN2, DN, DNM1, DNM2, IEEE, EPS)
SLASQ5 computes one dqds transform in ping-pong form. Used by sbdsqr and sstegr.

Function/Subroutine Documentation

  subroutine slasq5 (integerI0, integerN0, real, dimension( * )Z, integerPP, realTAU, realSIGMA, realDMIN, realDMIN1, realDMIN2, realDN, realDNM1, realDNM2, logicalIEEE, realEPS)

SLASQ5 computes one dqds transform in ping-pong form. Used by sbdsqr and sstegr.

Purpose:

     SLASQ5 computes one dqds transform in ping-pong form, one
     version for IEEE machines another for non IEEE machines.

Parameters:
    I0

              I0 is INTEGER
            First index.

    N0

              N0 is INTEGER
            Last index.

    Z

              Z is REAL array, dimension ( 4*N )
            Z holds the qd array. EMIN is stored in Z(4*N0) to avoid
            an extra argument.

    PP

              PP is INTEGER
            PP=0 for ping, PP=1 for pong.

    TAU

              TAU is REAL
            This is the shift.

    DMIN

              DMIN is REAL
            Minimum value of d.

    DMIN1

              DMIN1 is REAL
            Minimum value of d, excluding D( N0 ).

    DMIN2

              DMIN2 is REAL
            Minimum value of d, excluding D( N0 ) and D( N0-1 ).

    DN

              DN is REAL
            d(N0), the last value of d.

    DNM1

              DNM1 is REAL
            d(N0-1).

    DNM2

              DNM2 is REAL
            d(N0-2).

    IEEE

              IEEE is LOGICAL
            Flag for IEEE or non IEEE arithmetic.

Author:
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Date:
    September 2012

Definition at line 132 of file slasq5.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.